Name:     nonstd-expected-lite-devel
%global altname expected-lite
Version:  0.6.2
Release:  1%{?dist}
Summary:  Expected objects for C++11 and later
License:  Boost
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
expected lite is a single-file header-only library to represent value objects
that either contain a valid value or an error. The library is a partly
implementation of the proposal for std::expected for use with C++11 and later.

%prep
%autosetup -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_datadir}
mv -f %{buildroot}/%{_libdir}/cmake %{buildroot}/%{_datadir}/

%check
%ctest

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/nonstd/*.hpp
%{_datadir}/cmake/*/*.cmake

%changelog
* Mon Aug  8 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.6.2-1
- Update to version 0.6.2
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.6.1-1
- Initial version of the package
